
#include <iostream>
#include <cmath>
#include <vector>
#include <set>

using namespace std;

bool operator< (pair<int, int> &a, pair<int, int> &b) {
    if (a.first < b.first) 
        return true;
    if (a.first == b.first) {
        return a.second < b.second;
    }
    return false;
}

int lengthStep (pair<int, int> &sec, pair<int, int> &inc) {
    int f = abs(sec.first - inc.first);
    int s = abs(sec.second - inc.second);
    if (s > f) {
        return s;
    } else {
        return f;
    }
}


int main(int argc, char** argv) {
    int sec, inc;
    cin >> sec >> inc;
    set<pair<int, int>> security;
    vector<pair<int, int>> incVec;
    
    
    
    
    for (int i = 0; i < sec; i++) {
        pair<int, int> x;
        cin >> x.first >> x.second;
        security.insert(x);
    }
    
    
    
    
    for (int i = 0; i < inc; i++) {
        pair<int, int> x;
        cin >> x.first >> x.second;
        incVec.emplace_back(x);
    }
    
    for (pair<int, int> item : security) {
        cout << item.first << " " << item.second << endl;
    }
    
    
    return 0; 
}

