

#include <iostream>
#include <vector>
#include <queue>

using namespace std;

/*
 * 
 */
int main(int argc, char** argv) {
    
    // 1 is W, 0 is B
    
    int array[8][8] =  {{2,2,2,2,2,2,2,2},
                        {2,2,2,2,2,2,2,2},
                        {2,2,2,2,2,2,2,2},
                        {2,2,2,2,2,2,2,2},
                        {2,2,2,2,2,2,2,2},
                        {2,2,2,2,2,2,2,2},
                        {2,2,2,2,2,2,2,2},
                        {2,2,2,2,2,2,2,2}};
    
    
    int xW, yW;
    int xB, yB;
    
    cin >> xW >> yW;
    cin >> xB >> yB;
    
    xW = xW -1;
    yW = yW -1;
    xB = xB -1;
    yB = yB -1;
    
    array[xW][yW] = 1;
    array[xB][yB] = 0;
    
    int flag = 1;
    
    queue<vector<pair<int,int>>>  m_Queue;
    vector<pair<int,int>>  stepW;
    vector<pair<int,int>>  stepB;
    pair<int,int> tmpW;
    tmpW.first = xW;
    tmpW.second = yW;
    
    pair<int,int> tmpB;
    tmpB.first = yW;
    tmpB.second = yB;
    
    
    stepW.push_back(tmpW);
    stepB.push_back(tmpB);
    m_Queue.push(stepW);
    m_Queue.push(stepB);
    

    
    while(1){
        vector<pair<int,int>>  nowVec;
        vector<pair<int,int>>  tmpVec;
        nowVec = m_Queue.front();
        for(pair<int,int> i : nowVec){
            if (i.first + 2 < 8 && i.second + 1 < 8) {
                if(array[i.first + 2][i.second + 1] != 2)
                    break;
                array[i.first + 2][i.second + 1] = flag % 2;
                pair<int,int> tmp;
                tmp.first = i.first + 2;
                tmp.second = i.second + 1;
                tmpVec.push_back(tmp);
            }
            if (i.first + 2 < 8 && i.second - 1 >= 0) {
                if(array[i.first + 2][i.second - 1] != 2)
                    break;
                array[i.first + 2][i.second - 1] = flag % 2;
                pair<int,int> tmp;
                tmp.first = i.first + 2;
                tmp.second = i.second - 1;
                tmpVec.push_back(tmp);
            }
            if (i.first - 2 >= 0  && i.second + 1 < 8) {
                if(array[i.first - 2][i.second + 1] != 2)
                    break;
                array[i.first - 2][i.second + 1] = flag % 2;
                pair<int,int> tmp;
                tmp.first = i.first - 2;
                tmp.second = i.second + 1;
                tmpVec.push_back(tmp);
            }
            if (i.first - 2 >= 0  && i.second - 1 >= 0 ) {
                if(array[i.first - 2][i.second - 1] != 2)
                    break;
                array[i.first - 2][i.second - 1] = flag % 2;
                pair<int,int> tmp;
                tmp.first = i.first - 2;
                tmp.second = i.second - 1;
                tmpVec.push_back(tmp);
            }
            if (i.first - 1 >= 0  && i.second + 2 < 8 ) {
                if(array[i.first - 1][i.second + 2] != 2)
                    break;
                array[i.first - 1][i.second + 2] = flag % 2;
                pair<int,int> tmp;
                tmp.first = i.first - 1;
                tmp.second = i.second + 2;
                tmpVec.push_back(tmp);
            }
            if (i.first - 1 >= 0  && i.second - 2 >= 0 ) {
                if(array[i.first - 1][i.second - 2] != 2)
                    break;
                array[i.first - 1][i.second - 2] = flag % 2;
                pair<int,int> tmp;
                tmp.first = i.first - 1;
                tmp.second = i.second - 2;
                tmpVec.push_back(tmp);
            }
            if (i.first + 1 < 8  && i.second - 2 >= 0 ) {
                if(array[i.first + 1][i.second - 2] != 2)
                    break;
                array[i.first + 1][i.second - 2] = flag % 2;
                pair<int,int> tmp;
                tmp.first = i.first + 1;
                tmp.second = i.second - 2;
                tmpVec.push_back(tmp);
            }
            if (i.first + 1 < 8  && i.second + 2 < 8 ) {
                if( array[i.first + 1][i.second + 2] != 2)
                    break;
                array[i.first + 1][i.second + 2] = flag % 2;
                pair<int,int> tmp;
                tmp.first = i.first + 1;
                tmp.second = i.second + 2;
                tmpVec.push_back(tmp);
            }
             
             m_Queue.pop(); 
             m_Queue.push(tmpVec);
             tmpVec.clear();
        }
        flag++;
    }
    
    if(flag % 2 == 1)
        cout << "white" << endl;
    else 
        cout << "black" << endl;
    
    return 0;
}

